package com.bocloud.nms.model.cisco;

import java.util.Date;

public class SubnetModel {
    private String name;
    private String ipPools;
    private String cidr;
    private Boolean dhcpEnabled;
    private String gateway;
    private String dnsNames;
    private String hostRoutes;
    private String subnetUuid;
    private String ipVersion;
    private String networkUuid;
    private String routerUuid;// 路由ID
    private String portgroup;
    private String portUuid;
    private String mac;
    private String address;
    private String alias;
    private String dn;
    private String status;
    private String uid;
    private String remark;
    private String tenantName;
    private String bdName;
    private String primaryDns;
    private String secondaryDns;
    private String neutronNetworkId;
    private String neutronSubnetId;
    private String vpcUuid;
    private String zone;
    private String regionId;
    private Date gmtCreate;
    private String securityGroupUuid; // azure 安全组id
    private String azureResourceGroupName;// azure 资源组
    private String vpcName;// azure vpc名称
    private String zoneNum;// TCE可用区数字id和aws可用区id
    private String tenantUuid;// openstack底层租户id
    private Boolean isDefault;
    private String resourceGroupUuid;// 资源组

    public String getZoneNum() {
        return zoneNum;
    }

    public void setZoneNum(String zoneNum) {
        this.zoneNum = zoneNum;
    }

    public String getAzureResourceGroupName() {
        return azureResourceGroupName;
    }

    public void setAzureResourceGroupName(String azureResourceGroupName) {
        this.azureResourceGroupName = azureResourceGroupName;
    }

    public String getVpcName() {
        return vpcName;
    }

    public void setVpcName(String vpcName) {
        this.vpcName = vpcName;
    }

    public String getSecurityGroupUuid() {
        return securityGroupUuid;
    }

    public void setSecurityGroupUuid(String securityGroupUuid) {
        this.securityGroupUuid = securityGroupUuid;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    public String getIpPools() {
        return ipPools;
    }

    public void setIpPools(String ipPools) {
        this.ipPools = ipPools;
    }

    /**
     * @return the cidr
     */
    public String getCidr() {
        return cidr;
    }

    /**
     * @param cidr the cidr to set
     */
    public void setCidr(String cidr) {
        this.cidr = cidr;
    }

    /**
     * @return the dhcpEnabled
     */
    public Boolean getDhcpEnabled() {
        return dhcpEnabled;
    }

    /**
     * @param dhcpEnabled the dhcpEnabled to set
     */
    public void setDhcpEnabled(Boolean dhcpEnabled) {
        this.dhcpEnabled = dhcpEnabled;
    }

    /**
     * @return the gateway
     */
    public String getGateway() {
        return gateway;
    }

    /**
     * @param gateway the gateway to set
     */
    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    /**
     * @return the dnsNames
     */
    public String getDnsNames() {
        return dnsNames;
    }

    /**
     * @param dnsNames the dnsNames to set
     */
    public void setDnsNames(String dnsNames) {
        this.dnsNames = dnsNames;
    }

    /**
     * @return the hostRoutes
     */
    public String getHostRoutes() {
        return hostRoutes;
    }

    /**
     * @param hostRoutes the hostRoutes to set
     */
    public void setHostRoutes(String hostRoutes) {
        this.hostRoutes = hostRoutes;
    }

    /**
     * @return the subnetUuid
     */
    public String getSubnetUuid() {
        return subnetUuid;
    }

    /**
     * @param subnetUuid the subnetUuid to set
     */
    public void setSubnetUuid(String subnetUuid) {
        this.subnetUuid = subnetUuid;
    }

    /**
     * @return the ipVersion
     */
    public String getIpVersion() {
        return ipVersion;
    }

    /**
     * @param ipVersion the ipVersion to set
     */
    public void setIpVersion(String ipVersion) {
        this.ipVersion = ipVersion;
    }

    /**
     * @return the networkUuid
     */
    public String getNetworkUuid() {
        return networkUuid;
    }

    /**
     * @param networkUuid the networkUuid to set
     */
    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    /**
     * @return the routerUuid
     */
    public String getRouterUuid() {
        return routerUuid;
    }

    /**
     * @param routerUuid the routerUuid to set
     */
    public void setRouterUuid(String routerUuid) {
        this.routerUuid = routerUuid;
    }

    /**
     * @return the portgroup
     */
    public String getPortgroup() {
        return portgroup;
    }

    /**
     * @param portgroup the portgroup to set
     */
    public void setPortgroup(String portgroup) {
        this.portgroup = portgroup;
    }

    /**
     * @return the mac
     */
    public String getMac() {
        return mac;
    }

    /**
     * @param mac the mac to set
     */
    public void setMac(String mac) {
        this.mac = mac;
    }

    /**
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    public void setAddress(String address) {
        this.address = address;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getDn() {
        return dn;
    }

    public void setDn(String dn) {
        this.dn = dn;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getBdName() {
        return bdName;
    }

    public void setBdName(String bdName) {
        this.bdName = bdName;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getPrimaryDns() {
        return primaryDns;
    }

    public void setPrimaryDns(String primaryDns) {
        this.primaryDns = primaryDns;
    }

    public String getSecondaryDns() {
        return secondaryDns;
    }

    public void setSecondaryDns(String secondaryDns) {
        this.secondaryDns = secondaryDns;
    }

    public String getNeutronNetworkId() {
        return neutronNetworkId;
    }

    public void setNeutronNetworkId(String neutronNetworkId) {
        this.neutronNetworkId = neutronNetworkId;
    }

    public String getNeutronSubnetId() {
        return neutronSubnetId;
    }

    public void setNeutronSubnetId(String neutronSubnetId) {
        this.neutronSubnetId = neutronSubnetId;
    }

    public String getVpcUuid() {
        return vpcUuid;
    }

    public void setVpcUuid(String vpcUuid) {
        this.vpcUuid = vpcUuid;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public Boolean getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Boolean isDefault) {
        this.isDefault = isDefault;
    }

    public String getResourceGroupUuid() {
        return resourceGroupUuid;
    }

    public void setResourceGroupUuid(String resourceGroupUuid) {
        this.resourceGroupUuid = resourceGroupUuid;
    }
}
